Language

Package: yasm @ 1.3.0

Synopsis

Rewrite of the NASM assembler

Description

Yasm is a complete rewrite of the NASM assembler.

Yasm currently supports the x86 and AMD64 instruction sets, accepts NASM and GAS assembler syntaxes, outputs binary, ELF32, ELF64, 32 and 64-bit Mach-O, RDOFF2, COFF, Win32, and Win64 object formats, and generates source debugging information in STABS, DWARF 2, and CodeView 8 formats.

Home page
https://yasm.tortall.net/
Location
gnu/packages/assembly.scm (line: 165, column: 2)
License

Derivations

SystemTargetDerivationBuild status
x86_64-linux/gnu/store/mpwn59ixazm7xnvxfzlnhcjb7p4ca81n-yasm-1.3.0.drv
x86_64-linuxx86_64-w64-mingw32/gnu/store/i4pdsxq6qd588xma1wir4ppa0q88x1mv-yasm-1.3.0.drv
x86_64-linuxx86_64-linux-gnux32/gnu/store/ck7hw4gq2vnrbfnfixwq90m66ncfdd28-yasm-1.3.0.drv
    x86_64-linuxriscv64-linux-gnu/gnu/store/hhbd5cf4lvijcynzfm9m93qgz5ncrcjl-yasm-1.3.0.drv
    x86_64-linuxpowerpc-linux-gnu/gnu/store/ikcsg3ilbkchfzh19ay70wvr4s6lny5m-yasm-1.3.0.drv
    x86_64-linuxpowerpc64-linux-gnu/gnu/store/jsj72lf6aswsj2m26fn6zbvbak6wzra7-yasm-1.3.0.drv
      x86_64-linuxpowerpc64le-linux-gnu/gnu/store/5x50zzwwffyx74wywnfrbm5sr0h1pl9m-yasm-1.3.0.drv
      x86_64-linuxmips64el-linux-gnu/gnu/store/mzidky4mq4nal2jgddqh4fxh4lzba1f0-yasm-1.3.0.drv
      x86_64-linuxi686-w64-mingw32/gnu/store/41vq7mhnn9a88yxpya2sk57qa1nyj6qx-yasm-1.3.0.drv
      x86_64-linuxi586-pc-gnu/gnu/store/h5fnpq6mriys2ax4wi5jcpmhjsspcyly-yasm-1.3.0.drv
      x86_64-linuxarm-linux-gnueabihf/gnu/store/c34f8cc912irkpfn1b1yg1wbxn6ggbks-yasm-1.3.0.drv
      x86_64-linuxaarch64-linux-gnu/gnu/store/7qmar4jq5vkh2v0zrqswf2mzk9za1azd-yasm-1.3.0.drv
      riscv64-linux/gnu/store/x50cax3sg5rys4qxj4sj53900ghprin6-yasm-1.3.0.drv
      powerpc-linux/gnu/store/4pz3xh8hv0h33lkf4z3y9qinryddp1is-yasm-1.3.0.drv
        powerpc64le-linux/gnu/store/80mgdh68w1a9nnabrrqlgngqg26i0ix5-yasm-1.3.0.drv
        mips64el-linux/gnu/store/fk8iysygcp56kqyv916ibxw1gjfnb3q6-yasm-1.3.0.drv
          i686-linux/gnu/store/a31vshfp0c36jl7imy2miarc9jpk4q0s-yasm-1.3.0.drv
          i586-gnu/gnu/store/lqnmp8h6h4hl5q7fi76iw76cf4v76awc-yasm-1.3.0.drv
          armhf-linux/gnu/store/jv3z3b6a2irj7r87yyaisxzj9lybka27-yasm-1.3.0.drv
          aarch64-linux/gnu/store/127gvb9k3ccwvaav9xpqbglyp1hfrswc-yasm-1.3.0.drv

          Lint warnings

          LinterMessageLocation
          input-labels

          Identify input labels that do not match package names

          label 'python' does not match package name 'python-wrapper'